#!/bin/bash
set -e

echo "Stopping To-Do List Application in Kubernetes"

# Delete service
kubectl delete -f service.yaml

# Delete deployment
kubectl delete -f deployment.yaml

# Delete StatefulSet, PVC, and PV
kubectl delete -f statefulset.yaml

# Delete namespace
kubectl delete -f namespace.yaml

echo "Application stopped successfully!"
